function [xstar,kp,rc,mu,nm]=barrier(name,mineq,xzero,muzero,epz)
  global prob m mu               % for bta, btag, btah
    prob=name;                     % specify the problem
    m=mineq;                       % and the constraint count
    mu=muzero;                     % and the starting multiplier
  fcn=str2func(prob);            % get function routine handle
  xbeta=xzero;                   % starting point
  nm=0;                          % no Hessian adjustments yet
  kmax=1023;                     % keep mu > realmin
  for kp=1:kmax
      [xstar,kpb,rc,nr,nmb]=ntin(xbeta,10,epz,fcn,m);
      if(nmb > 0)
         nm=nm+1;                % count iterations modifying H
      end                        % in the hope there will be few
      if(norm(xstar-xbeta) <= epz) % close enough?
         return                  % yes; return
      end                        % no; continue
      xbeta=xstar;               % optimal point is new start
      mu=mu/2;                   % decrease the multiplier
  end                            % end of barrier problem sequence
end
