% cvrg.m: plot a particular set of ideal error curves
set(gca,'FontSize',20)

c=0.381
ezero=1;
quad=ezero; linr=ezero;

for k=1:7
    y(k,1)=quad;
    quad=c*quad^2;
    y(k,2)=linr;
    linr=c*linr;
    y(k,3)=(c^log10(k))*ezero;
    it(k)=k;
end

semilogy(it,y)
print -deps -solid cvrg.eps
