function [x,k]=nteg(xzero)
% Newton's method for systems example
  x=xzero;
  f=zeros(2,1);
  epz=1e-12;
  for k=1:20
      f(1)=x(1)^3-x(2);
      f(2)=x(1)+x(2)^2-2;
      J(1,1)=3*x(1)^2;
      J(1,2)=-1;
      J(2,1)=1;
      J(2,2)=2*x(2);
      delta=inv(J)*(-f);
      x=x+delta;
      if(norm(delta) < epz) break; end
  end
end
