function [xstar,kp]=ntplain(xzero,kmax,epz,grd,hsn)
  xk=xzero;
  for kp=1:kmax
%     find the uphill direction
      g=grd(xk);
      if(norm(g) <= epz) break; end

%     find the full Newton step downhill
      H=hsn(xk);
      d=-inv(H)*g;

%     take the step
      xk=xk+d;
  end
  xstar=xk;
end
