function [xstar,kp,rc,mu,nm]=penalty(name,meq,xzero,muzero,epz)
  global prob m mu               % for pye, pyeg, pyeh
    prob=name;                     % specify the problem
    m=meq;                         % and the constraint count
    mu=muzero;                     % and the starting multiplier
  xpi=xzero;                     % starting point
  nm=0;                          % no Hessian adjustments yet
  kmax=1029;                     % keep mu < realmax
  for kp=1:kmax
      [xstar,kpp,nmp,rc]=ntrs(xpi,0,10,epz,@pye,@pyeg,@pyeh,0.5);
      if(nmp > 0)
         nm=nm+1;                % count iterations modifying H
      end                        % in the hope there will be few
      if(norm(xstar-xpi) <= epz) % close enough?
         return                  % yes; return
      end                        % no; continue
      xpi=xstar;                 % optimal point is new start
      mu=2*mu;                   % increase the multiplier
  end                            % end of penalty problem sequence
end
