% plotrb.m: plot contours of the rb objective
clear; clf; set(gca,'FontSize',30)

% compute the function value on a grid of points
xl=[-2;-1];
xh=[2;2];
ng=200;
[xc,yc,zc,zmin,zmax]=gridcntr(@rb,xl,xh,ng);

% plot some contours
hold on
axis([-2,2,-1,2]);
vc=[0.1,1,4,8,16,32];
contour(xc,yc,zc,vc)

% print the resulting graph
print -deps -solid rb.eps
