function [xstar,k]=sdw(xzero,xl,xh,n,kmax,epz,fcn,grd)
  xk=xzero;
  mu=.0001;
  eta=0.4;
  smax=52;
  for k=1:kmax
      g=grd(xk);
      if(norm(g) <= epz) break; end
      dk=-g;
      tol=1000*epz*norm(g);
      [astar,rc,kw]=wolfe(xk,dk,xl,xh,n,fcn,grd,mu,eta,tol,smax);
      if(rc > 3) break; end
      xk=xk+astar*dk;
  end
  xstar=xk;
end
