function astar=bls(xk,dk,xl,xh,n,grd,tol)
  [al,ah]=arange(xk,dk,xl,xh,n);
  for s=1:52
      alpha=(al+ah)/2;
      if(al == ah) break; end
      x=xk+alpha*dk;
      g=grd(x);
      fp=dk'*g;
      if(abs(fp) < tol) break; end
      if(fp < 0)
         al=alpha;
      else
         ah=alpha;
      end
  end
  astar=alpha;
end
