% cfysgeq.m: soft-margin SVM constraints
function h=cfysgeq(pqxi)
  global X Y
  p=pqxi(1:2);
  q=pqxi(3);
  xi=pqxi(4:11);
  h=[ Y(1)*(p(1)*X(1,1)+p(2)*X(1,2)+q)-1+xi(1)
      Y(2)*(p(1)*X(2,1)+p(2)*X(2,2)+q)-1+xi(2)
      Y(3)*(p(1)*X(3,1)+p(2)*X(3,2)+q)-1+xi(3)
      Y(4)*(p(1)*X(4,1)+p(2)*X(4,2)+q)-1+xi(4)
      Y(5)*(p(1)*X(5,1)+p(2)*X(5,2)+q)-1+xi(5)
      Y(6)*(p(1)*X(6,1)+p(2)*X(6,2)+q)-1+xi(6)
      Y(7)*(p(1)*X(7,1)+p(2)*X(7,2)+q)-1+xi(7)
      Y(8)*(p(1)*X(8,1)+p(2)*X(8,2)+q)-1+xi(8)
      xi(1)
      xi(2)
      xi(3)
      xi(4)
      xi(5)
      xi(6)
      xi(7)
      xi(8) ];
end
