function [x,y,s]=deltas(xzero,yzero,szero,mu)
  n=4;
  A=[-1,1,1,0;1,0,0,1];
  b=[1;1];
  c=[1;1;0;0];
  x=xzero;
  y=yzero;
  s=szero;
  for k=1:10
      X=diag(x);
      S=diag(s);
      D=inv(S)*X;
      v=mu*ones(n,1)-X*S*ones(n,1);
      dy=-inv(A*D*A')*A*inv(S)*v;
      ds=-A'*dy;
      dx=inv(S)*v-D*ds;
      x=x+dx;
      s=s+ds;
      y=y+dy;
  end
  primal=A*x-b
  dual=A'*y+s-c
  interior=s.*x
end
