function [Tp,Tpstar,Td,Tdstar]=duals(A,b,c)
% construct and solve both problems in the standard dual pair

m=size(A,1);
n=size(A,2);

Tp=[ 0, c',zeros(1,m);
    -b,-A, eye(m)    ];
[xs,rc,Tpstar]=simplex(Tp,m,n+m);

Td=[0,-b',zeros(1,n);
    c, A',eye(n)     ];
[yw,rc,Tdstar]=simplex(Td,n,m+n);
