function [xzero,Qzero]=eainit(xl,xh)
% find the smallest ellipsoid enclosing given bounds

  xzero=(xl+xh)/2;                       % midpoint of bounds
  n=size(xzero,1);                       % number of variables
  Qzero=zeros(n,n);                      % zero matrix
  for j=1:n                              % fill in
      Qzero(j,j)=(n/4)*(xh(j)-xl(j))^2;  % the diagonal
  end                                    % elements

end
