% compute a gradient of h35
function g=h35g(x)
  c=[1.5;2.25;2.625];
  g=[0;0];
  for t=1:3
      v=c(t)-x(1)*(1-x(2)^t);
      dvdx1=-(1-x(2)^t);
      dvdx2=t*x(1)*x(2)^(t-1);
      g=g+[2*v*dvdx1;2*v*dvdx2];
  end
end
