function [xstar,kp]=sdfs(xzero,kmax,epz,grd,hsn)
  xk=xzero;
  for kp=1:kmax
%     find the uphill direction
      g=grd(xk);
      if(norm(g) <= epz) break; end

%     find the full steepest-descent step downhill
      H=hsn(xk);
      astar=(g'*g)/(g'*H*g);
      d=-astar*g;

%     take the full step
      xk=xk+d;
  end
  xstar=xk;
end
