% smneq.m: solve the matrix normal equations
clear

load -ascii snowind.dat        % read David's new data
n=size(snowind,1);             % find out how many data points
X=[ones(n,1),snowind(:,1:2)];  % construct the X matrix
Y=snowind(:,3);                % construct the Y vector

U=chol(X'*X);                  % matrix factorization
z=U'\(X'*Y);                   % forward substitution to find z
bta=U\z                        % back substitution to find bta
