% steep.m: use steepest descent to solve the gns problem
epz=1.e-06;
x=[2;2];
for kp=1:20
    xk(kp)=x(1);
    yk(kp)=x(2);
    kused=kp;

    g=gnsg(x);
    if(norm(g) <= epz); break; end

    d=-g;
    numer=-(8*x(1)*d(1)+4*x(2)*d(2)+4*x(1)*d(2)+4*x(2)*d(1)-3*d(1));
    denom= (8*d(1)^2+4*d(2)^2+8*d(1)*d(2));
    alpha=numer/denom;
    x=x+alpha*d;
end
x
g
f=gns(x)
kused

% plot convergence trajectory over contours
xl=[-2;-2];
xh=[3;3];
[xc,yc,zc]=gridcntr(@gns,xl,xh,200);
for kp=1:kused
    vu(kp)=gns([xk(kp);yk(kp)]);
end
hold on
axis('equal')
contour(xc,yc,zc,vu)
vn(1)=20;
vn(2)=10;
vn(3)=5;
contour(xc,yc,zc,vn)
plot(xk,yk)
hold off
print -deps -solid steep.eps
