function V=trislv(U,Z)
% solve VU=Z, where U is upper triangular, for V
  n=size(Z,1);
  m=n-size(Z,2)
  V=zeros(n,n-m);
  for j=1:n-m
      for i=1:n
          V(i,j)=Z(i,j);
          for k=1:j-1
              V(i,j)=V(i,j)-V(i,k)*U(k,j);
          end
          V(i,j)=V(i,j)/U(j,j);
      end
  end
end
